LoadMessagesTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.taglib
Class LoadMessagesTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.faces.taglib.LoadMessagesTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class LoadMessagesTag

extends TagSupport

Tag that exposes a specified `MessageResources` instance as `Map`, so that the embedded messages may be retrieved via value binding expressions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LoadMessagesTag()`

Method Summary
`int` | `doStartTag()` Expose a `Map` wrapping the specified `MessageResources` instance, for the `Locale` specified in the view root component of the current view.
`void` | `release()` Release any resources allocated by this tag instance.
`void` | `setMessages(String messages)`
`void` | `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadMessagesTag

    public LoadMessagesTag()

Method Detail

### setMessages

    public void setMessages(String messages)

### setVar

    public void setVar(String var)

### doStartTag

    public int doStartTag()

  Expose a `Map` wrapping the specified `MessageResources` instance, for the `Locale` specified in the view root component of the current view.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`

### release

    public void release()

  Release any resources allocated by this tag instance.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.